Lightroom 6

New Here ,
Aug 02, 2022 Aug 02, 2022

Copy link to clipboard

Copied

Hello, I need to know how to install lightroom 6, because I have a perpetual series.

TOPICS
macOS

Views

87

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Aug 02, 2022 Aug 02, 2022

Copy link to clipboard

Copied

Download from https://helpx.adobe.com/lightroom-classic/help/lightroom-6-end-of-support.html and then install.

 

Note: if you are running a new Mac OS after Mojave, it can't be installed at all.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Aug 02, 2022 Aug 02, 2022

Copy link to clipboard

Copied

I have Macos Monterey, what can I do?

 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Aug 02, 2022 Aug 02, 2022

Copy link to clipboard

Copied

quote
I have Macos Monterey, what can I do?

 


By @pablo25354401s3m0

 

Forget about that old perpetual license. You can't use it anymore. Take a subscription to the Photography plan with Lightroom Classic (and Photoshop).

 

-- Johan W. Elzenga

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Aug 02, 2022 Aug 02, 2022

Copy link to clipboard

Copied

Lr6 will not install on Monterey.  Subscribe to the Photography Plan or downgrade the OS.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Aug 02, 2022 Aug 02, 2022

Copy link to clipboard

Copied

LR6 should run as a 64-bit application under Monterey but installing it is the issue; you must boot into an OS that can support the 32-bit installer (the last being Mojave). That's a big problem for M1's because Monterey, Big Sur, Catalina and M1 Macs do not run 32-bit and can't boot into Mojave. 
IF your new Mac isn't an M1, you are OK but if it is, you're SOL. 


Author “Color Management for Photographers" & "Photoshop CC Color Management/pluralsight"

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Aug 02, 2022 Aug 02, 2022

Copy link to clipboard

Copied

Johan and Bob, have offered options available if you need to use Lightroom, please indicate the reasons you believe the “need” to use Lightroom, like are you shooting RAW image files from a digital camera or mobile device, tablet or smart phone.

Then others can suggest alternatives like other image editing applications i.e. Photoshop Element or other third party suppliers.

Think differently the digital world is advancing at a faster rate than happened in the recent past, your Adobe Lightroom 6 application has not stopped functioning you have made a choice to upgrade your computer hardware and or the Operating System that can support an application that was designed to function on equipment designed in 2015/2017, fast forward to 2022 the equipment is not functional.

In addition the latest Lightroom Classic application will need at least macOS 10 function.

I am using an iMac mid 2015 and I am certain that the last version I will be able to run is LrC 12 which is most likely be released In mid October 2022. This is due to features added to Lightroom in recent years,

 

Regards, Denis: iMac mid-2015, 5K 27”, GPU 2GB, Ram 24GB, HDD 3TB, macOS 11.6.8,; LrC 11.4.1, Lr 5.4.1, Ps 23.3.2-ACR 14.4,; Camera OM-D E-M1.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Aug 02, 2022 Aug 02, 2022

Copy link to clipboard

Copied

I can't say if the OP 'needs' Lightroom. I can only say that if he wants to continue to use Lightroom, he should take a subscription to the successor of Lightroom 6, which is Lightroom Classic.

 

-- Johan W. Elzenga

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Aug 02, 2022 Aug 02, 2022

Copy link to clipboard

Copied

LATEST

At Johan my post is not intended to disagree with your post but to indicate there are different options and we as users need to be aware of the rapidly changing environment.

When I consider my own options my iMac mid 2015 will be obsolete in a year.

Regards, Denis: iMac mid-2015, 5K 27”, GPU 2GB, Ram 24GB, HDD 3TB, macOS 11.6.8,; LrC 11.4.1, Lr 5.4.1, Ps 23.3.2-ACR 14.4,; Camera OM-D E-M1.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines